[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit '_crw_fio' (#crwlib)

# ForEachFile

## Declaration

Source position: _crw_fio.pas line 456

`procedure ForEachFile(`
`const RootDir: LongString;`
`const FilePatterns: LongString;`
`FileAction: TForEachFileAction;`
`MaxSubDirLevels: Integer = 0;`
`CustomData: Pointer = Nil;`
`const Delimiters: TCharSet = DefaultFilePatternDelimiters`
`);`